//20210120 Changed name for the system, the version and the library

// import the library components
#import "CROWDALGOTRADINGSYSTEM-20210120-Library.ex4" 
bool GetNewCandle();
int GetNumberOfPositionsThisSymbol();
double GetProfitThisSymbol();
void OpenStopLossBuyTrade(int StopLossPunkte);
void OpenStopLossSellTrade(int StopLossPunkte);
double SetEquityStop();
int SetMaxNumberOfPositionsThisSymbol();
double SetPositionSize();
void CheckForTick(string Signal, double TradingRisk, double InitAccountSize, int StopLossPoints);
bool CheckAccount();
void SetTradingRisk(double TradingRisk);
void SetMaxAccountRisk(double AccountRisk);
#import

// Trading Risk 1=very low, 10=very high, more insane
input double TradingRisk=1;//Trading Risk 1=low/niedrig 10=high/hoch
input int StopLossPoints=100000; //STOP LOSS POINTS

// double variable for starting the account equity
double InitialAcountEquity;


// Import entry logic
   #include "entry\CheckEntry_Bollinger.mq4";
// #include "entry\CheckEntry_IAC.mq4";
// #include "entry\CheckEntry_IAD.mq4";
// #include "entry\CheckEntry_RSI.mq4";
// #include "entry\CheckEntry_MACD.mq4";
// #include "entry\CheckEntry_Random.mq4";
// #include "entry\CheckEntry_ISAR.mq4";
// #include "entry\CheckEntry_ICCI.mq4";
// #include "entry\CheckEntry_SMA.mq4";

// calculate starting equity
void OnInit()
{
InitialAcountEquity= AccountEquity();
}


// call trading management
void OnTick()
  {
      
    // check for a signal
    string Signal=CheckEntry();  
    
    // call function to check price
    CheckForTick(Signal,TradingRisk, InitialAcountEquity, StopLossPoints);
  } 


// CLICKING THE LEFT UPPER CORNER WILL OFFER A FUNCTION TO CLOSE ALL OPEN POSITIONS  
void OnChartEvent(const int id,         // Event ID  
                  const long& lparam,   // Event parameter long type 
                  const double& dparam, // Event parameter double type        
                  const string& sparam  // Event parameter string type                                              
                 )
  {
      // when the mouse button was clicked  
   if(id==CHARTEVENT_CLICK) 
   
   // if click was in upper left corner
   if (lparam <200 && dparam<200)
     {
     Print ("Left upper chart corner was clicked");
      int closeAllPositions=MessageBox("WOULD YOU LIKE TO CLOSE ALL POSITIONS??? ","CLOSE POSITIONS?",MB_YESNO);
      if (closeAllPositions==6) CloseAllPositions();
     }
  }
  
// We create a function to close all trades for this pair
void CloseAllPositions()
{  

	// go through all open orders
	for (int i=OrdersTotal(); i>=0;i--) 
	{
		// select a trade
		if (OrderSelect(i,SELECT_BY_POS)== true) 

		// check if trade belongs to current chart
		// if (OrderSymbol() == Symbol()) 
		{  
			// close the current trade order
			int result=OrderClose( OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_BID), 5, Red ); 
		}
	} // End For Loop

} // END CloseAllTradesThisPair   
  
  